Skip to main content
DELETE
/
extractions
/
sessions
/
{sessionId}
/
documents
/
{documentId}
Detach Session Document
curl --request DELETE \
  --url https://api.raydocs.com/extractions/sessions/{sessionId}/documents/{documentId} \
  --header 'Authorization: Bearer <token>'
Detach a document from a session. The workspace document remains available for reuse.

Authentication & Scope

Requires sessions-write.

Request

DELETE /extractions/sessions/770e8400-e29b-41d4-a716-446655440000/documents/880e8400-e29b-41d4-a716-446655440000 HTTP/1.1
Host: api.raydocs.com
Authorization: Bearer <token>

Response

204 No Content

Authorizations

Authorization
string
header
required

Personal Access Token created from the Raydocs dashboard. Include in the Authorization header: Bearer <your_token> See API Keys for token creation and management.

Path Parameters

sessionId
string<uuid>
required
documentId
string<uuid>
required

Response

Detached